package com.yd.dal.mapper.practitioner;

import com.yd.dal.entity.practitioner.payscale.AgAclLifePractitionerSalary;

import java.util.List;

public interface AgAclLifePractitionerSalaryMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AgAclLifePractitionerSalary record);

    int insertSelective(AgAclLifePractitionerSalary record);

    AgAclLifePractitionerSalary selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AgAclLifePractitionerSalary record);

    int updateByPrimaryKey(AgAclLifePractitionerSalary record);

    List<AgAclLifePractitionerSalary> queryListByPractitionerId(Long practitionerId);
}